Texa Desk Application API · Teams
Create a team
POST/
Create a team in the account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
account_idintegerrequiredThe numeric ID of the account
Body application/json
namestringThe name of the team
descriptionstringThe description of the team
allow_auto_assignbooleanIf this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team
Responses
200Success
idnumberThe ID of the team
namestringThe name of the team
descriptionstringThe description about the team
allow_auto_assignbooleanIf this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team
account_idnumberThe ID of the account with the team is a part of
is_memberbooleanThis field shows whether the current user is a part of the team
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring